Name:           vpnc
Version:        0.5.3
Release:        %mkrel 18
Summary:        A free vpn client for the Cisco 3000 concentrators
License:        GPLv2+
Group:          Networking/Other
Url:            https://www.unix-ag.uni-kl.de/~massar/vpnc/
Source0:        https://www.unix-ag.uni-kl.de/~massar/vpnc/%{name}-%{version}.tar.gz
# taken from https://gitlab.com/openconnect/vpnc-scripts
Source1:        vpnc-script
Patch0:         vpnc-0.5.3-linkage.patch
Requires:       iproute2
BuildRequires:  libgcrypt-devel
Provides:       kvpnc-backend

%description
A free VPN client for the cisco3000 VPN Concentrator, completely in userspace,
Requires Universal TUN/TAP device driver support compiled in the kernel or as a
module.


%prep
%setup -q
%patch -P 0 -p0

perl -pi -e 's|/var/run/vpnc/pid|/var/run/vpnc.pid|' config.c vpnc-disconnect

%build
%serverbuild
%make_build CFLAGS="%{optflags}" LFLAGS="%{?ldflags}"

%install
install -d -m 755 %{buildroot}%{_sbindir}
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man8
install -d -m 755 %{buildroot}%{_mandir}/man1
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}
install -m 755 {vpnc,vpnc-disconnect,cisco-decrypt} \
    %{buildroot}%{_sbindir}
install -m 755 pcf2vpnc %{buildroot}%{_bindir}
install -m 755 vpnc.8 %{buildroot}%{_mandir}/man8
install -m 755 cisco-decrypt.1 %{buildroot}%{_mandir}/man1
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}

install -m 755 %{SOURCE1} %{buildroot}%{_sbindir}/vpnc-script
ln -s %{_sbindir}/vpnc-script %{buildroot}%{_sysconfdir}/%{name}/vpnc-script

%files
%doc COPYING README TODO VERSION ChangeLog
%{_mandir}/man8/vpnc.8*
%{_mandir}/man1/cisco-decrypt.1*
%{_sbindir}/*
%{_bindir}/*
%{_localstatedir}/lib/%{name}
%{_sysconfdir}/%{name}


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.5.3-18.mga10
+ Revision: 2128250
- Rebuild for patchN deprecation

* Wed Mar 16 2022 umeabot <umeabot> 0.5.3-17.mga9
+ Revision: 1794618
- Mageia 9 Mass Rebuild

* Mon Feb 08 2021 daviddavid <daviddavid> 0.5.3-16.mga8
+ Revision: 1675042
- update vpnc-script to latest commit from openconnect (mga#28258)

* Tue Feb 11 2020 umeabot <umeabot> 0.5.3-15.mga8
+ Revision: 1488935
- Mageia 8 Mass Rebuild

* Tue Aug 28 2018 guillomovitch <guillomovitch> 0.5.3-14.mga7
+ Revision: 1255334
- use modern vpnc-script, taken from openconnect

* Fri Feb 12 2016 umeabot <umeabot> 0.5.3-13.mga6
+ Revision: 959170
- Mageia 6 Mass Rebuild

* Mon Sep 14 2015 fwang <fwang> 0.5.3-12.mga6
+ Revision: 879211
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-11.mga5
+ Revision: 750158
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-10.mga5
+ Revision: 690241
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.3-9.mga4
+ Revision: 520063
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5.3-8.mga3
+ Revision: 385568
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 guillomovitch <guillomovitch> 0.5.3-7.mga2
+ Revision: 204660
- fix post-connection script (bug #3404)

* Sat Jan 28 2012 kamil <kamil> 0.5.3-6.mga2
+ Revision: 202529
- update file list
- clean .spec

* Thu Mar 03 2011 ennael <ennael> 0.5.3-5.mga1
+ Revision: 63150
- imported package vpnc

